UnarchiveAnnotation
curl --request POST \
--url https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"annotation": {
"annotationId": "<string>",
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"isArchived": true,
"batchedTriggers": 123,
"runId": "<string>",
"state": "ANNOTATION_STATE_UNSPECIFIED",
"assignedToUserId": "<string>",
"legendConfig": "<string>",
"createdByConditionId": "<string>",
"createdByRuleConditionVersionId": "<string>",
"reportRuleVersionId": "<string>",
"pending": true,
"assignedToUser": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>",
"isAbacEnabled": true
}
]
},
"deletedDate": "2023-11-07T05:31:56Z",
"linkedChannels": [
{
"channel": {
"channelId": "<string>"
},
"bitFieldElement": {
"channelId": "<string>",
"bitFieldName": "<string>"
},
"calculatedChannel": {
"calculatedChannelVersionId": "<string>"
}
}
],
"assetIds": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"archivedDate": "2023-11-07T05:31:56Z",
"isNoisyRule": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}AnnotationService
UnarchiveAnnotation
Unarchives an annotation.
POST
/
api
/
v1
/
annotations
/
{annotationId}
:unarchive
UnarchiveAnnotation
curl --request POST \
--url https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/annotations/{annotationId}:unarchive"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"annotation": {
"annotationId": "<string>",
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"organizationId": "<string>",
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"isArchived": true,
"batchedTriggers": 123,
"runId": "<string>",
"state": "ANNOTATION_STATE_UNSPECIFIED",
"assignedToUserId": "<string>",
"legendConfig": "<string>",
"createdByConditionId": "<string>",
"createdByRuleConditionVersionId": "<string>",
"reportRuleVersionId": "<string>",
"pending": true,
"assignedToUser": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>",
"isAbacEnabled": true
}
]
},
"deletedDate": "2023-11-07T05:31:56Z",
"linkedChannels": [
{
"channel": {
"channelId": "<string>"
},
"bitFieldElement": {
"channelId": "<string>",
"bitFieldName": "<string>"
},
"calculatedChannel": {
"calculatedChannelVersionId": "<string>"
}
}
],
"assetIds": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"archivedDate": "2023-11-07T05:31:56Z",
"isNoisyRule": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The request for a call to AnnotationService_UnarchiveAnnotation.
Response
A successful response.
The response of a call to AnnotationService_UnarchiveAnnotation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I